package de.ozgcloud.eingang.intelliform;

import java.time.ZonedDateTime;
import java.util.Map;

import de.ozgcloud.eingang.common.formdata.FormMetaData;
import lombok.AccessLevel;
import lombok.Builder;
import lombok.Getter;
import lombok.Singular;

@Builder
@Getter
class IntelliFormMetaData implements FormMetaData {

	private final ZonedDateTime origin;
	@Builder.Default
	private final ZonedDateTime delivery = ZonedDateTime.now();

	static final String CUSTOM_PARAM_PREFIX = "CUSTOMPARAMETER_";

	@Singular
	@Getter(AccessLevel.NONE)
	private Map<String, String> customParameters;

	@Override
	public String getEntry(String name) {
		return customParameters.get(name);
	}

}